!
! Questão 13 da Lista 06 de exercícios para sala de aula - Capítulo F90/4
!
PROGRAM HORARIOS
   IMPLICIT NONE
   CHARACTER (LEN = 20) :: PROFESSOR(10)
   CHARACTER (LEN = 5) :: SALA(10)
   INTEGER :: HORARIO(10), INDICE, HORA
   ! Leitura dos dados
   WRITE (*, *) "Informe o Nome do Professor, o Horário e a Sala; separados"
   WRITE (*, *) " por espaços e terminados com um <ENTER>"
   WRITE (*, *)
   DO INDICE = 1,5
      READ (*, *) PROFESSOR(INDICE), HORARIO(INDICE), SALA(INDICE)
   END DO
   ! Se1eciona os professores por horário
   DO HORA = 1, 4, 1
      WRITE (*, *) "Professores que dão aula no ", HORA, "o. horário"
      DO INDICE = 1, 10, 1
         IF (HORARIO(INDICE) .EQ. HORA) THEN
            WRITE (*, *) PROFESSOR(INDICE)
         END IF
      END DO
   END DO
   STOP
END PROGRAM HORARIOS